Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056137 - SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory /usr/lib/python2.7/site-packages/firewall/core.
Summary: SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directo...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:07dbe5e353e6fe99532e3397647...
: 1142942 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 14:52 UTC by Matthew Garrett
Modified: 2015-06-29 14:38 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:38:03 UTC


Attachments (Terms of Use)

Description Matthew Garrett 2014-01-21 14:52:12 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory /usr/lib/python2.7/site-packages/firewall/core.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that python2.7 should be allowed write access on the core directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep firewalld /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:firewalld_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/python2.7/site-packages/firewall/core [
                              dir ]
Source                        firewalld
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-9.fc20.x86_64
Target RPM Packages           firewalld-0.3.8-1.fc20.noarch
                              firewalld-0.3.9.2-1.fc20.noarch
Policy RPM                    selinux-policy-3.12.1-106.fc20.noarch selinux-
                              policy-3.12.1-117.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.7-300.fc20.x86_64 #1 SMP Fri
                              Jan 10 15:35:31 UTC 2014 x86_64 x86_64
Alert Count                   9
First Seen                    2014-01-21 09:50:22 EST
Last Seen                     2014-01-21 09:50:22 EST
Local ID                      cd5bd646-b66b-457e-b1e7-cdf64521121b

Raw Audit Messages
type=AVC msg=audit(1390315822.688:722): avc:  denied  { write } for  pid=14868 comm="firewalld" name="core" dev="sda4" ino=42795 scontext=system_u:system_r:firewalld_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1390315822.688:722): arch=x86_64 syscall=unlink success=no exit=EACCES a0=246b1a0 a1=3e058 a2=81a4 a3=35a7dc55d0 items=0 ppid=1 pid=14868 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=firewalld exe=/usr/bin/python2.7 subj=system_u:system_r:firewalld_t:s0 key=(null)

Hash: firewalld,firewalld_t,lib_t,dir,write

Additional info:
reporter:       libreport-2.1.11
hashmarkername: setroubleshoot
kernel:         3.12.7-300.fc20.x86_64
type:           libreport

Comment 1 Jiri Popelka 2014-01-28 14:09:38 UTC
I have no idea why would firewalld touch /usr/lib/python2.7/site-packages/firewall/core/

Comment 2 Miroslav Grepl 2014-01-29 09:10:41 UTC
Looks like firewalld is trying to complile some python py files?

Comment 3 Thomas Woerner 2014-01-30 15:54:37 UTC
Have you touched /usr/lib/python2.7/site-packages/firewall/core or a file in this directory?

Please provide the output of "rpm -V firewalld"

Comment 4 Matthew Garrett 2014-01-30 17:26:17 UTC
[sudo] password for mjg59: 
S.5......  c /etc/firewalld/firewalld.conf
S.5......    /usr/bin/firewall-cmd
S.5......    /usr/bin/firewall-offline-cmd
S.5......    /usr/lib/firewalld/icmptypes/echo-reply.xml
S.5......    /usr/lib/firewalld/icmptypes/echo-request.xml
S.5......    /usr/lib/firewalld/icmptypes/router-solicitation.xml
S.5......    /usr/lib/firewalld/services/dhcpv6-client.xml
S.5......    /usr/lib/firewalld/zones/external.xml
..5......    /usr/lib/python2.7/site-packages/firewall/__init__.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/__init__.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/client.py
S.5......    /usr/lib/python2.7/site-packages/firewall/client.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/client.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/config/__init__.py
S.5......    /usr/lib/python2.7/site-packages/firewall/config/__init__.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/config/__init__.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/config/dbus.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/config/dbus.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/__init__.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/__init__.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/base.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/base.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/ebtables.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/ebtables.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_config.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_config.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_config.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_direct.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_direct.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_direct.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_icmptype.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_icmptype.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_icmptype.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_policies.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_policies.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_policies.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_service.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_service.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_service.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_zone.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_zone.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/fw_zone.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/__init__.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/__init__.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/direct.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/direct.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/io/firewalld_conf.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/io/firewalld_conf.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/io/firewalld_conf.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/icmptype.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/icmptype.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/io_object.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/io_object.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/lockdown_whitelist.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/lockdown_whitelist.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/service.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/io/service.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/io/zone.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/io/zone.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/io/zone.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/ipXtables.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/ipXtables.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/logger.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/logger.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/logger.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/modules.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/modules.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/modules.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/prog.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/prog.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/core/rich.py
S.5......    /usr/lib/python2.7/site-packages/firewall/core/rich.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/core/rich.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/core/watcher.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/core/watcher.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/dbus_utils.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/dbus_utils.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/errors.py
S.5......    /usr/lib/python2.7/site-packages/firewall/errors.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/errors.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/functions.py
S.5......    /usr/lib/python2.7/site-packages/firewall/functions.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/functions.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/fw_types.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/fw_types.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/__init__.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/__init__.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/config.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/config.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/config_icmptype.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/config_icmptype.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/config_service.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/config_service.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/config_zone.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/config_zone.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/decorators.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/decorators.pyo
S.5......    /usr/lib/python2.7/site-packages/firewall/server/firewalld.py
S.5......    /usr/lib/python2.7/site-packages/firewall/server/firewalld.pyc
S.5......    /usr/lib/python2.7/site-packages/firewall/server/firewalld.pyo
..5......    /usr/lib/python2.7/site-packages/firewall/server/server.pyc
..5......    /usr/lib/python2.7/site-packages/firewall/server/server.pyo
S.5......    /usr/sbin/firewalld
..5......    /usr/share/locale/ar/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/as/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/bn_IN/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/ca/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/cs/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/da/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/de/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/en_GB/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/es/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/fi/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/fr/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/gu/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/hi/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/hu/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/it/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/ja/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/kn/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/ko/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/ml/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/mr/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/nl/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/or/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/pa/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/pl/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/pt/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/pt_BR/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/ru/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/sk/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/sr/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/sr@latin/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/sv/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/ta/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/te/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/tr/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/uk/LC_MESSAGES/firewalld.mo
S.5......    /usr/share/locale/zh_CN/LC_MESSAGES/firewalld.mo
..5......    /usr/share/locale/zh_TW/LC_MESSAGES/firewalld.mo
S.5......  d /usr/share/man/man1/firewall-cmd.1.gz
S.5......  d /usr/share/man/man1/firewall-offline-cmd.1.gz
S.5......  d /usr/share/man/man1/firewalld.1.gz
..5......  d /usr/share/man/man5/firewalld.conf.5.gz
S.5......  d /usr/share/man/man5/firewalld.direct.5.gz
S.5......  d /usr/share/man/man5/firewalld.icmptype.5.gz
..5......  d /usr/share/man/man5/firewalld.lockdown-whitelist.5.gz
S.5......  d /usr/share/man/man5/firewalld.richlanguage.5.gz
..5......  d /usr/share/man/man5/firewalld.service.5.gz
S.5......  d /usr/share/man/man5/firewalld.zone.5.gz
S.5......  d /usr/share/man/man5/firewalld.zones.5.gz

Comment 5 Thomas Woerner 2014-01-31 11:07:35 UTC
Your firewalld installation seems to be a mixture of at least two firewalld  versions. Please re-install all firewall packages and verify that the installation is clean afterwards: yum reinstall firewall*; rpm -Va "firewall*"

Afterwards there should not be an selinux message anymore while starting firewalld.

Have you seen selinux messages while updating? This might be a result of an update problem with selinux contexts that happened lately.

Comment 6 Moez Roy 2014-08-21 16:20:34 UTC
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that python2.7 should be allowed write access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep firewalld /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:firewalld_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                 [ dir ]
Source                        firewalld
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-13.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-180.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.10-200.fc20.x86_64 #1 SMP Thu
                              Aug 14 15:39:24 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-08-21 09:12:00 PDT
Last Seen                     2014-08-21 09:12:00 PDT
Local ID                      62376875-a0cb-45eb-81a3-7d4d601cfb7e

Raw Audit Messages
type=AVC msg=audit(1408637520.534:18): avc:  denied  { write } for  pid=934 comm="firewalld" name="firewall" dev="dm-0" ino=13407 scontext=system_u:system_r:firewalld_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1408637520.534:18): arch=x86_64 syscall=unlink success=no exit=EACCES a0=d5c8f0 a1=c720 a2=81a4 a3=7fff9cdb3a10 items=0 ppid=1 pid=934 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=firewalld exe=/usr/bin/python2.7 subj=system_u:system_r:firewalld_t:s0 key=(null)

Hash: firewalld,firewalld_t,lib_t,dir,write

Comment 7 Thomas Woerner 2014-08-25 13:14:22 UTC
Please provide the output of "rpm -V firewalld"

Comment 8 Moez Roy 2014-08-27 07:06:41 UTC
(In reply to Thomas Woerner from comment #7)
> Please provide the output of "rpm -V firewalld"

[user@h ~]$ sudo rpm -V firewalld
[sudo] password for user: 
[user@h ~]$ sudo sh -c 'rpm -V firewalld'
[user@h ~]$

Comment 9 Moez Roy 2014-08-27 07:08:37 UTC
FYI this is firewalld from Updates Testing.

[user@h ~]$ sudo yum list installed | grep firewall
firewall-config.noarch           0.3.11-1.fc20      @updates-testing            
firewalld.noarch                 0.3.11-1.fc20      @updates-testing            
[user@h ~]$

Comment 10 Moez Roy 2014-09-10 20:47:25 UTC
SELinux is preventing firewalld from write access on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that firewalld should be allowed write access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep firewalld /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:firewalld_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                 [ dir ]
Source                        firewalld
Source Path                   firewalld
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-183.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux h.d 3.16.2-200.fc20.x86_64 #1 SMP Mon Sep 8
                              11:54:45 UTC 2014 x86_64 x86_64
Alert Count                   2
First Seen                    2014-09-10 13:41:06 PDT
Last Seen                     2014-09-10 13:41:07 PDT
Local ID                      a5a75fb9-4a10-4042-9b68-717e83bcf6c7

Raw Audit Messages
type=AVC msg=audit(1410381667.303:33): avc:  denied  { write } for  pid=1043 comm="firewalld" name="site-packages" dev="dm-0" ino=13395 scontext=system_u:system_r:firewalld_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=0


Hash: firewalld,firewalld_t,lib_t,dir,write

Comment 11 Thomas Woerner 2014-09-11 11:43:06 UTC
Have you modified any firewalld files?

Python is recreating .pyc or .pyo files in /usr/lib/python2.7/site-packages/firewall/core if there have been changes in a .py file. 

Please verify with 'rpm -Va "firewall*"' if there are files, that do not match the file provided by the package.

Comment 12 Moez Roy 2014-09-12 12:16:35 UTC
(In reply to Thomas Woerner from comment #11)
> Have you modified any firewalld files?
> 
> Python is recreating .pyc or .pyo files in
> /usr/lib/python2.7/site-packages/firewall/core if there have been changes in
> a .py file. 
> 
> Please verify with 'rpm -Va "firewall*"' if there are files, that do not
> match the file provided by the package.

I have not modified any firewalld files.

[me@h ~]$ sudo rpm -Va "firewall*"
[sudo] password for me: 
[me@h ~]$

Comment 13 Daniel Walsh 2014-09-24 13:10:27 UTC
*** Bug 1142942 has been marked as a duplicate of this bug. ***

Comment 14 Gene Snider 2014-10-16 17:25:24 UTC
Description of problem:
It happens during boot.

Version-Release number of selected component:
selinux-policy-3.13.1-85.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.16.3-302.fc21.x86_64
type:           libreport

Comment 15 Spenk 2014-11-22 23:55:07 UTC
Description of problem:
During boot

Version-Release number of selected component:
selinux-policy-3.13.1-92.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.3-300.fc21.x86_64
type:           libreport

Comment 16 Fedora End Of Life 2015-05-29 10:36:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-06-29 14:38:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.